
# clockSim

<!-- badges: start -->

[![CRAN status](https://www.r-pkg.org/badges/version/clockSim)](https://CRAN.R-project.org/package=clockSim)
[![r-universe version](https://yeyuan98.r-universe.dev/clockSim/badges/version)](https://yeyuan98.r-universe.dev/clockSim)
[![r-universe status](https://yeyuan98.r-universe.dev/clockSim/badges/checks)](https://yeyuan98.r-universe.dev/clockSim)
<!-- badges: end -->

A user-friendly workflow for simulating circadian clock gene networks. 
Despite decades of advances in modeling circadian clock dynamics, 
the lack of accessible tools for reproducible simulation workflows 
hinders the integration of computational modeling with experimental studies. 
'clockSim' addresses this gap by providing models and helper functions 
with step-by-step vignettes. This package opens up system-level exploration 
of the circadian clock to wet-lab experimentalists, and future development 
will include additional clock architectures and other gene circuit models. 
Currently implemented models are based on 
Leloup and Goldbeter (1998) <doi:10.1177/074873098128999934>.

## Installation

To install current CRAN version of clockSim:

``` r
install.packages("clockSim")
```

You can install the development version of clockSim from [GitHub](https://github.com/) with:

``` r
# install.packages("pak")
pak::pak("yeyuan98/clockSim")
```

## Usage

Refer to the package vignettes on example workflows on circadian clock simulation.
